mail::ACCOUNT::logout
Prev | mail::ACCOUNT Synchronous API reference | Next

## Name

mail::ACCOUNT::logout — Close a mail account

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;

`mail->fsfunclogout(` | `void)`; |

## USAGE

`mail::ACCOUNT::logout` closes a mail account. This method should be called before destroying the `mail::ACCOUNT` object. Some types of mail accounts require certain processing before they are closed. Destroying the object without `mail::ACCOUNT::logout` may result in some changes to the mail account's contents not being permanently saved.

## RETURN CODES AND CALLBACKS

The `mail::ACCOUNT` object should be destroyed after this function returns. The object should not be recycled, and connected to another mail account.

## SEE ALSO

mail::ACCOUNT::login(3x).

Prev | Up | Next
mail::ACCOUNT::login | Home | ToC | mail::ACCOUNT::moveMessagesTo